CRMchat APIBeta
Telegram APIHelp

help.getConfig

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/help.getConfig

Returns current configuration, including data center configuration.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns current configuration, including data center configuration.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/help.getConfig" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "config",    "defaultP2pContacts": true,    "preloadFeaturedStickers": true,    "revokePmInbox": true,    "blockedMode": true,    "forceTryIpv6": true,    "date": 0,    "expires": 0,    "testMode": true,    "thisDc": 0,    "dcOptions": [      {        "_": "dcOption",        "ipv6": true,        "mediaOnly": true,        "tcpoOnly": true,        "cdn": true,        "static": true,        "thisPortOnly": true,        "id": 0,        "ipAddress": "string",        "port": 0,        "secret": "string"      }    ],    "dcTxtDomainName": "string",    "chatSizeMax": 0,    "megagroupSizeMax": 0,    "forwardedCountMax": 0,    "onlineUpdatePeriodMs": 0,    "offlineBlurTimeoutMs": 0,    "offlineIdleTimeoutMs": 0,    "onlineCloudTimeoutMs": 0,    "notifyCloudDelayMs": 0,    "notifyDefaultDelayMs": 0,    "pushChatPeriodMs": 0,    "pushChatLimit": 0,    "editTimeLimit": 0,    "revokeTimeLimit": 0,    "revokePmTimeLimit": 0,    "ratingEDecay": 0,    "stickersRecentLimit": 0,    "channelsReadMediaPeriod": 0,    "tmpSessions": 0,    "callReceiveTimeoutMs": 0,    "callRingTimeoutMs": 0,    "callConnectTimeoutMs": 0,    "callPacketTimeoutMs": 0,    "meUrlPrefix": "string",    "autoupdateUrlPrefix": "string",    "gifSearchUsername": "string",    "venueSearchUsername": "string",    "imgSearchUsername": "string",    "staticMapsProvider": "string",    "captionLengthMax": 0,    "messageLengthMax": 0,    "webfileDcId": 0,    "suggestedLangCode": "string",    "langPackVersion": 0,    "baseLangPackVersion": 0,    "reactionsDefault": {      "_": "reactionEmpty"    },    "autologinToken": "string"  }}